List events
curl --request GET \
--url https://thirdparty-sandbox.staging.qonto.co/register/events \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/events"
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "f4a15ff0-40a2-48d4-8801-99c7b4e0788e",
"resource_type": "registration",
"resource_id": "481248f5-346a-4711-b8a8-18a0348de10f",
"created_at": "2021-08-17T12:31:32.689Z",
"event_type": "registrations.completed"
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}Webhooks
List events
Retrieves all the events.
GET
/
register
/
events
List events
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Number of objects per page.
Returned page.
Response
Returns the list of events.
Show child attributes
Show child attributes
Was this page helpful?
⌘I